Status: In Progress Start date: 04/04/2013
Priority: Normal Due date:
Assignee: J. Moringen % Done: 90%
Category: Configuration Estimated time: 0.00 hour
Target version: rsb-0.18
Description

With RSB configuration, it is sometimes hard to debug issues or even understand what is going on exactly.
One way would be an appropriate logging configuration, but not an easy way:
    -  Requires knowledge about logger hierarchy (i.e. something like export RSB_RSC_LOGGING_RSC_CONFIG=ALL)
    -  Requires modifying the configuration which may interfere with the issue being debugged
    -  Requires sifting through tons of output and figuring out what is going on
    -  Depends on the RSB implementation
A better solution might be
    -  Set an environment variable __CONFIG_DEBUG
    -  Process it outside the configuration system (as to not interfere)
    -  The output should be minimal (as to not require searching for the relevant information)

Subtasks:
Feature # 2556: Allow easy debugging of RSB configuration [C++] Resolved
Tasks # 1458: Implement configuration inspector tool In Progress
Feature # 2569: Allow easy debugging of RSB configuration [Python] Resolved
Feature # 2570: Allow easy debugging of RSB configuration [Java] Resolved
Feature # 2571: Allow easy debugging of RSB configuration [Common Lisp] Resolved

Associated revisions
Revision 3ea7f7ad - 06/14/2016 12:32 PM - J. Moringen

Config debug in {common-command-line-options,specification-config,troubleshooting,news}.rst

refs #2555, refs #2556

    -  common-command-line-options.rst (Configuration Debugging): new
  section; describe __CONFIG_DEBUG environment variable

    -  specification-config.rst (Configuration Debugging): new section;
  describe configuration debugging tools

    -  troubleshooting.rst (Configuration Problems): new section; suggest
  configuration debugging tools to solve configuration problems

    -  news.rst (RSB 0.14): reference configuration debugging section

Revision 7817e495 - 06/14/2016 12:34 PM - J. Moringen

Backport: Config debug in {common-command-line-options,specification-config,troubleshooting,news}.rst

refs #2555, refs #2556

    -  common-command-line-options.rst (Configuration Debugging): new
  section; describe __CONFIG_DEBUG environment variable
    -  specification-config.rst (Configuration Debugging): new section;
  describe configuration debugging tools

    -  troubleshooting.rst (Configuration Problems): new section; suggest
  configuration debugging tools to solve configuration problems

    -  news.rst (RSB 0.14): reference configuration debugging section

(cherry picked from commit 3ea7f7ad1af7030cb5e3675ea827f74d140a6712)

Revision 148bb0f1 - 09/28/2016 01:14 PM - J. Moringen

Updated configuration debugging description in *.rst

refs #2555

    -  common-command-line-options.rst (Common Environment Variables):
  changed variable name {__ -> RSB_}CONFIG_DEBUG

    -  specification-config.rst (Configuration Debugging): likewise; updated
  example output

    -  news.rst (RSB 0.14): do not try to parse _CONFIG_DEBUG as an envvar
  reference

Revision ac8bcc11 - 09/28/2016 01:16 PM - J. Moringen

Mention config debugging support in all implementations in news.rst

refs #2555

    -  troubleshooting.rst (Configuration Problems): applies to all
  implementations

    -  news.rst (RSB 0.15): mention configuration debugging support in all
  implementations, C++ already had it

History
#1 - 06/08/2016 09:01 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#2 - 09/28/2016 11:57 AM - J. Moringen
- Assignee set to J. Moringen

#3 - 09/28/2016 01:03 PM - J. Moringen
- Status changed from New to In Progress

#4 - 09/28/2016 02:19 PM - J. Moringen
- Target version changed from rsb-0.15 to rsb-0.16

#5 - 04/10/2017 08:59 PM - J. Moringen
- Target version changed from rsb-0.16 to rsb-0.17

#6 - 10/16/2017 09:23 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
